Skip to content

getShipments

READ

Get shipments.

POST /api/v1/inventory/getShipments
curl -X POST '<your-host>/api/v1/inventory/getShipments' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "assignee": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customerId": "string",
      "customFields": "…",
      "externalDocumentId": "string",
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "invoiced": true,
      "locationId": "string",
      "opportunityId": "string",
      "postedBy": "string",
      "postingDate": "string",
      "shipmentId": "string",
      "shippingMethodId": "string",
      "sourceDocument": "Sales Invoice",
      "sourceDocumentId": "string",
      "sourceDocumentReadableId": "string",
      "status": "Pending",
      "supplierId": "string",
      "supplierInteractionId": "string",
      "tags": [
        "string"
      ],
      "trackingNumber": "string",
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}